Index: protocols/yahoo/libyahoo2.c
===================================================================
--- protocols/yahoo/libyahoo2.c	(revision 25c4c78e2ddad482dfc9d5a104f76325fcc2f8e5)
+++ protocols/yahoo/libyahoo2.c	(revision 9216eff1a59e9d4a24b63c16ba4c2cacd051332c)
@@ -3,11 +3,11 @@
  *
  * Some code copyright (C) 2002-2004, Philip S Tellis <philip.tellis AT gmx.net>
- * YMSG16 code copyright (C) 2009, 
- * 		Siddhesh Poyarekar <siddhesh dot poyarekar at gmail dot com>
+ * YMSG16 code copyright (C) 2009,
+ *              Siddhesh Poyarekar <siddhesh dot poyarekar at gmail dot com>
  *
  * Yahoo Search copyright (C) 2003, Konstantin Klyagin <konst AT konst.org.ua>
  *
  * Much of this code was taken and adapted from the yahoo module for
- * gaim released under the GNU GPL.  This code is also released under the 
+ * gaim released under the GNU GPL.  This code is also released under the
  * GNU GPL.
  *
@@ -30,5 +30,5 @@
  *
  * YMSG16 authentication code based mostly on write-up at:
- * 	http://www.carbonize.co.uk/ymsg16.html
+ *      http://www.carbonize.co.uk/ymsg16.html
  *
  * This program is free software; you can redistribute it and/or modify
@@ -60,8 +60,8 @@
 #  define strrchr rindex
 # endif
-char *strchr (), *strrchr ();
+char *strchr(), *strrchr();
 # if !HAVE_MEMCPY
-#  define memcpy(d, s, n) bcopy ((s), (d), (n))
-#  define memmove(d, s, n) bcopy ((s), (d), (n))
+#  define memcpy(d, s, n) bcopy((s), (d), (n))
+#  define memmove(d, s, n) bcopy((s), (d), (n))
 # endif
 #endif
@@ -100,7 +100,7 @@
 }
 
-#define YAHOO_CALLBACK(x)	yc->x
+#define YAHOO_CALLBACK(x)       yc->x
 #else
-#define YAHOO_CALLBACK(x)	x
+#define YAHOO_CALLBACK(x)       x
 #endif
 
@@ -113,8 +113,9 @@
 	char out[1024];
 	va_list ap;
+
 	va_start(ap, fmt);
 	vsnprintf(out, sizeof(out), fmt, ap);
 	va_end(ap);
-	return YAHOO_CALLBACK(ext_yahoo_log) ("%s", out);
+	return YAHOO_CALLBACK (ext_yahoo_log) ("%s", out);
 }
 
@@ -129,4 +130,5 @@
 {
 	enum yahoo_log_level l = log_level;
+
 	log_level = level;
 	return l;
@@ -134,9 +136,9 @@
 
 /* default values for servers */
-static char *default_pager_hosts[] = {	"scs.msg.yahoo.com",
-					"scsa.msg.yahoo.com",
-					"scsb.msg.yahoo.com",
-					"scsc.msg.yahoo.com",
-					NULL};
+static char *default_pager_hosts[] = {  "scs.msg.yahoo.com",
+	                                "scsa.msg.yahoo.com",
+	                                "scsb.msg.yahoo.com",
+	                                "scsc.msg.yahoo.com",
+	                                NULL };
 
 static int pager_port = 5050;
@@ -222,9 +224,9 @@
 
 static void yahoo_process_filetransfer(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt);
+                                       struct yahoo_packet *pkt);
 static void yahoo_process_filetransferinfo(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt);
+                                           struct yahoo_packet *pkt);
 static void yahoo_process_filetransferaccept(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt);
+                                             struct yahoo_packet *pkt);
 
 static void yahoo_https_auth(struct yahoo_input_data *yid, const char *seed, const char *sn);
@@ -233,8 +235,8 @@
 {
 	struct yahoo_server_settings *yss =
-		y_new0(struct yahoo_server_settings, 1);
+	        y_new0(struct yahoo_server_settings, 1);
 
 	/* Give preference to the default host list
-	 * Make sure that only one of the two is set at any time 
+	 * Make sure that only one of the two is set at any time
 	 */
 	yss->pager_host = NULL;
@@ -263,6 +265,7 @@
 	while (1) {
 		key = va_arg(ap, char *);
-		if (key == NULL)
-			break;
+		if (key == NULL) {
+			break;
+		}
 
 		if (!strcmp(key, "pager_host")) {
@@ -306,6 +309,6 @@
 		} else {
 			WARNING(("Unknown key passed to yahoo_init, "
-					"perhaps you didn't terminate the list "
-					"with NULL"));
+			         "perhaps you didn't terminate the list "
+			         "with NULL"));
 		}
 	}
@@ -316,6 +319,7 @@
 static void yahoo_free_server_settings(struct yahoo_server_settings *yss)
 {
-	if (!yss)
-		return;
+	if (!yss) {
+		return;
+	}
 
 	free(yss->pager_host);
@@ -340,8 +344,10 @@
 {
 	YList *l;
+
 	for (l = conns; l; l = y_list_next(l)) {
 		struct yahoo_data *yd = l->data;
-		if (yd->client_id == id)
+		if (yd->client_id == id) {
 			return yd;
+		}
 	}
 	return NULL;
@@ -357,11 +363,11 @@
 static struct yahoo_input_data * find_input_by_id(int id)
 {
-	YList *l;
-	for(l = inputs; l; l = y_list_next(l)) {
-		struct yahoo_input_data *yid = l->data;
-		if(yid->yd->client_id == id)
-			return yid;
-	}
-	return NULL;
+        YList *l;
+        for(l = inputs; l; l = y_list_next(l)) {
+                struct yahoo_input_data *yid = l->data;
+                if(yid->yd->client_id == id)
+                        return yid;
+        }
+        return NULL;
 }
 */
@@ -369,16 +375,18 @@
 #if 0
 static struct yahoo_input_data *find_input_by_id_and_webcam_user(int id,
-	const char *who)
+                                                                 const char *who)
 {
 	YList *l;
+
 	LOG(("find_input_by_id_and_webcam_user"));
 	for (l = inputs; l; l = y_list_next(l)) {
 		struct yahoo_input_data *yid = l->data;
 		if (yid->type == YAHOO_CONNECTION_WEBCAM
-			&& yid->yd->client_id == id && yid->wcm && ((who
-					&& yid->wcm->user
-					&& !strcmp(who, yid->wcm->user))
-				|| !(yid->wcm->user && !who)))
+		    && yid->yd->client_id == id && yid->wcm && ((who
+		                                                 && yid->wcm->user
+		                                                 && !strcmp(who, yid->wcm->user))
+		                                                || !(yid->wcm->user && !who))) {
 			return yid;
+		}
 	}
 	return NULL;
@@ -387,12 +395,14 @@
 
 static struct yahoo_input_data *find_input_by_id_and_type(int id,
-	enum yahoo_connection_type type)
+                                                          enum yahoo_connection_type type)
 {
 	YList *l;
+
 	LOG(("find_input_by_id_and_type"));
 	for (l = inputs; l; l = y_list_next(l)) {
 		struct yahoo_input_data *yid = l->data;
-		if (yid->type == type && yid->yd->client_id == id)
+		if (yid->type == type && yid->yd->client_id == id) {
 			return yid;
+		}
 	}
 	return NULL;
@@ -402,9 +412,11 @@
 {
 	YList *l;
+
 	LOG(("find_input_by_id_and_fd"));
 	for (l = inputs; l; l = y_list_next(l)) {
 		struct yahoo_input_data *yid = l->data;
-		if (yid->fd == fd && yid->yd->client_id == id)
+		if (yid->fd == fd && yid->yd->client_id == id) {
 			return yid;
+		}
 	}
 	return NULL;
@@ -415,9 +427,11 @@
 	int c = 0;
 	YList *l;
+
 	LOG(("counting %d", id));
 	for (l = inputs; l; l = y_list_next(l)) {
 		struct yahoo_input_data *yid = l->data;
-		if (yid->yd->client_id == id)
+		if (yid->yd->client_id == id) {
 			c++;
+		}
 	}
 	LOG(("%d", c));
@@ -432,6 +446,7 @@
 	for (l = list; l; l = l->next) {
 		struct yahoo_buddy *bud = l->data;
-		if (!bud)
+		if (!bud) {
 			continue;
+		}
 
 		FREE(bud->group);
@@ -503,5 +518,5 @@
 
 static struct yahoo_packet *yahoo_packet_new(enum yahoo_service service,
-	enum ypacket_status status, int id)
+                                             enum ypacket_status status, int id)
 {
 	struct yahoo_packet *pkt = y_new0(struct yahoo_packet, 1);
@@ -515,7 +530,8 @@
 
 static void yahoo_packet_hash(struct yahoo_packet *pkt, int key,
-	const char *value)
+                              const char *value)
 {
 	struct yahoo_pair *pair = y_new0(struct yahoo_pair, 1);
+
 	pair->key = key;
 	pair->value = strdup(value);
@@ -545,21 +561,21 @@
 
 #define yahoo_put16(buf, data) ( \
-		(*(buf) = (unsigned char)((data)>>8)&0xff), \
-		(*((buf)+1) = (unsigned char)(data)&0xff),  \
-		2)
-#define yahoo_get16(buf) ((((*(buf))&0xff)<<8) + ((*((buf)+1)) & 0xff))
+	        (*(buf) = (unsigned char) ((data) >> 8) & 0xff), \
+	        (*((buf) + 1) = (unsigned char) (data) & 0xff),  \
+	        2)
+#define yahoo_get16(buf) ((((*(buf)) & 0xff) << 8) + ((*((buf) + 1)) & 0xff))
 #define yahoo_put32(buf, data) ( \
-		(*((buf)) = (unsigned char)((data)>>24)&0xff), \
-		(*((buf)+1) = (unsigned char)((data)>>16)&0xff), \
-		(*((buf)+2) = (unsigned char)((data)>>8)&0xff), \
-		(*((buf)+3) = (unsigned char)(data)&0xff), \
-		4)
-#define yahoo_get32(buf) ((((*(buf)   )&0xff)<<24) + \
-			 (((*((buf)+1))&0xff)<<16) + \
-			 (((*((buf)+2))&0xff)<< 8) + \
-			 (((*((buf)+3))&0xff)))
+	        (*((buf)) = (unsigned char) ((data) >> 24) & 0xff), \
+	        (*((buf) + 1) = (unsigned char) ((data) >> 16) & 0xff), \
+	        (*((buf) + 2) = (unsigned char) ((data) >> 8) & 0xff), \
+	        (*((buf) + 3) = (unsigned char) (data) & 0xff), \
+	        4)
+#define yahoo_get32(buf) ((((*(buf)) & 0xff) << 24) + \
+	                  (((*((buf) + 1)) & 0xff) << 16) + \
+	                  (((*((buf) + 2)) & 0xff) << 8) + \
+	                  (((*((buf) + 3)) & 0xff)))
 
 static void yahoo_packet_read(struct yahoo_packet *pkt, unsigned char *data,
-	int len)
+                              int len)
 {
 	int pos = 0;
@@ -575,6 +591,7 @@
 		x = 0;
 		while (pos + 1 < len) {
-			if (data[pos] == 0xc0 && data[pos + 1] == 0x80)
+			if (data[pos] == 0xc0 && data[pos + 1] == 0x80) {
 				break;
+			}
 			key[x++] = data[pos++];
 		}
@@ -583,31 +600,35 @@
 		pair->key = strtol(key, NULL, 10);
 		free(key);
-		
+
 		/* Libyahoo2 developer(s) don't seem to have the time to fix
 		   this problem, so for now try to work around it:
-		   
+
 		   Sometimes we receive an invalid packet with not any more
 		   data at this point. I don't know how to handle this in a
 		   clean way, but let's hope this is clean enough: */
-		
+
 		if (pos + 1 < len) {
-			accept = x; 
+			accept = x;
 			/* if x is 0 there was no key, so don't accept it */
-			if (accept)
+			if (accept) {
 				value = malloc(len - pos + 1);
+			}
 			x = 0;
 			while (pos + 1 < len) {
-				if (data[pos] == 0xc0 && data[pos + 1] == 0x80)
+				if (data[pos] == 0xc0 && data[pos + 1] == 0x80) {
 					break;
-				if (accept)
+				}
+				if (accept) {
 					value[x++] = data[pos++];
+				}
 			}
-			if (accept)
+			if (accept) {
 				value[x] = 0;
+			}
 			pos += 2;
 		} else {
 			accept = 0;
 		}
-		
+
 		if (accept) {
 			pair->value = strdup(value);
@@ -615,5 +636,5 @@
 			pkt->hash = y_list_append(pkt->hash, pair);
 			DEBUG_MSG(("Key: %d  \tValue: %s", pair->key,
-					pair->value));
+			           pair->value));
 		} else {
 			FREE(pair);
@@ -631,11 +652,11 @@
 		unsigned char buf[100];
 
-		snprintf((char *)buf, sizeof(buf), "%d", pair->key);
-		strcpy((char *)data + pos, (char *)buf);
-		pos += strlen((char *)buf);
+		snprintf((char *) buf, sizeof(buf), "%d", pair->key);
+		strcpy((char *) data + pos, (char *) buf);
+		pos += strlen((char *) buf);
 		data[pos++] = 0xc0;
 		data[pos++] = 0x80;
 
-		strcpy((char *)data + pos, pair->value);
+		strcpy((char *) data + pos, pair->value);
 		pos += strlen(pair->value);
 		data[pos++] = 0xc0;
@@ -660,22 +681,27 @@
 		int i;
 		for (i = 0; i < len; i++) {
-			if ((i % 8 == 0) && i)
-				YAHOO_CALLBACK(ext_yahoo_log) (" ");
-			if ((i % 16 == 0) && i)
-				YAHOO_CALLBACK(ext_yahoo_log) ("\n");
-			YAHOO_CALLBACK(ext_yahoo_log) ("%02x ", data[i]);
-		}
-		YAHOO_CALLBACK(ext_yahoo_log) ("\n");
+			if ((i % 8 == 0) && i) {
+				YAHOO_CALLBACK (ext_yahoo_log) (" ");
+			}
+			if ((i % 16 == 0) && i) {
+				YAHOO_CALLBACK (ext_yahoo_log) ("\n");
+			}
+			YAHOO_CALLBACK (ext_yahoo_log) ("%02x ", data[i]);
+		}
+		YAHOO_CALLBACK (ext_yahoo_log) ("\n");
 		for (i = 0; i < len; i++) {
-			if ((i % 8 == 0) && i)
-				YAHOO_CALLBACK(ext_yahoo_log) (" ");
-			if ((i % 16 == 0) && i)
-				YAHOO_CALLBACK(ext_yahoo_log) ("\n");
-			if (isprint(data[i]))
-				YAHOO_CALLBACK(ext_yahoo_log) (" %c ", data[i]);
-			else
-				YAHOO_CALLBACK(ext_yahoo_log) (" . ");
-		}
-		YAHOO_CALLBACK(ext_yahoo_log) ("\n");
+			if ((i % 8 == 0) && i) {
+				YAHOO_CALLBACK (ext_yahoo_log) (" ");
+			}
+			if ((i % 16 == 0) && i) {
+				YAHOO_CALLBACK (ext_yahoo_log) ("\n");
+			}
+			if (isprint(data[i])) {
+				YAHOO_CALLBACK (ext_yahoo_log) (" %c ", data[i]);
+			} else {
+				YAHOO_CALLBACK (ext_yahoo_log) (" . ");
+			}
+		}
+		YAHOO_CALLBACK (ext_yahoo_log) ("\n");
 	}
 }
@@ -703,7 +729,8 @@
 
 static void yahoo_add_to_send_queue(struct yahoo_input_data *yid, void *data,
-	int length)
+                                    int length)
 {
 	struct data_queue *tx = y_new0(struct data_queue, 1);
+
 	tx->queue = y_new0(unsigned char, length);
 	tx->len = length;
@@ -712,12 +739,13 @@
 	yid->txqueues = y_list_append(yid->txqueues, tx);
 
-	if (!yid->write_tag)
+	if (!yid->write_tag) {
 		yid->write_tag =
-			YAHOO_CALLBACK(ext_yahoo_add_handler) (yid->yd->
-			client_id, yid->fd, YAHOO_INPUT_WRITE, yid);
+		        YAHOO_CALLBACK (ext_yahoo_add_handler) (yid->yd->
+		                                                client_id, yid->fd, YAHOO_INPUT_WRITE, yid);
+	}
 }
 
 static void yahoo_send_packet(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt, int extra_pad)
+                              struct yahoo_packet *pkt, int extra_pad)
 {
 	int pktlen = yahoo_packet_length(pkt);
@@ -726,6 +754,7 @@
 	int pos = 0;
 
-	if (yid->fd < 0)
-		return;
+	if (yid->fd < 0) {
+		return;
+	}
 
 	data = y_new0(unsigned char, len + 1);
@@ -733,10 +762,10 @@
 	memcpy(data + pos, "YMSG", 4);
 	pos += 4;
-	pos += yahoo_put16(data + pos, YAHOO_PROTO_VER);	/* version [latest 12 0x000c] */
-	pos += yahoo_put16(data + pos, 0x0000);	/* HIWORD pkt length??? */
-	pos += yahoo_put16(data + pos, pktlen + extra_pad);	/* LOWORD pkt length? */
-	pos += yahoo_put16(data + pos, pkt->service);	/* service */
-	pos += yahoo_put32(data + pos, pkt->status);	/* status [4bytes] */
-	pos += yahoo_put32(data + pos, pkt->id);	/* session [4bytes] */
+	pos += yahoo_put16(data + pos, YAHOO_PROTO_VER);        /* version [latest 12 0x000c] */
+	pos += yahoo_put16(data + pos, 0x0000); /* HIWORD pkt length??? */
+	pos += yahoo_put16(data + pos, pktlen + extra_pad);     /* LOWORD pkt length? */
+	pos += yahoo_put16(data + pos, pkt->service);   /* service */
+	pos += yahoo_put32(data + pos, pkt->status);    /* status [4bytes] */
+	pos += yahoo_put32(data + pos, pkt->id);        /* session [4bytes] */
 
 	yahoo_packet_write(pkt, data + pos);
@@ -744,8 +773,9 @@
 	yahoo_packet_dump(data, len);
 
-	if (yid->type == YAHOO_CONNECTION_FT)
+	if (yid->type == YAHOO_CONNECTION_FT) {
 		yahoo_send_data(yid->fd, data, len);
-	else
+	} else {
 		yahoo_add_to_send_queue(yid, data, len);
+	}
 	FREE(data);
 }
@@ -770,11 +800,12 @@
 	int e;
 
-	if (fd == NULL)
+	if (fd == NULL) {
 		return -1;
+	}
 
 	yahoo_packet_dump(data, len);
 
 	do {
-		ret = YAHOO_CALLBACK(ext_yahoo_write) (fd, data, len);
+		ret = YAHOO_CALLBACK (ext_yahoo_write) (fd, data, len);
 	} while (ret == -1 && errno == EINTR);
 	e = errno;
@@ -793,12 +824,15 @@
 {
 	struct yahoo_data *yd = find_conn_by_id(id);
-	if (!yd)
-		return;
+
+	if (!yd) {
+		return;
+	}
 
 	del_from_list(yd);
 
 	yahoo_free_data(yd);
-	if (id == last_id)
+	if (id == last_id) {
 		last_id--;
+	}
 }
 
@@ -808,12 +842,13 @@
 
 	LOG(("yahoo_input_close(read)"));
-	YAHOO_CALLBACK(ext_yahoo_remove_handler) (yid->yd->client_id,
-		yid->read_tag);
+	YAHOO_CALLBACK (ext_yahoo_remove_handler) (yid->yd->client_id,
+	                                           yid->read_tag);
 	LOG(("yahoo_input_close(write)"));
-	YAHOO_CALLBACK(ext_yahoo_remove_handler) (yid->yd->client_id,
-		yid->write_tag);
+	YAHOO_CALLBACK (ext_yahoo_remove_handler) (yid->yd->client_id,
+	                                           yid->write_tag);
 	yid->read_tag = yid->write_tag = 0;
-	if (yid->fd)
-		YAHOO_CALLBACK(ext_yahoo_close) (yid->fd);
+	if (yid->fd) {
+		YAHOO_CALLBACK (ext_yahoo_close) (yid->fd);
+	}
 	yid->fd = 0;
 	FREE(yid->rxqueue);
@@ -823,6 +858,7 @@
 	}
 	yahoo_free_webcam(yid->wcm);
-	if (yid->wcd)
+	if (yid->wcd) {
 		FREE(yid->wcd);
+	}
 	if (yid->ys) {
 		FREE(yid->ys->lsearch_text);
@@ -846,12 +882,14 @@
 	char *cookieend;
 
-	if (strlen(rawcookie) < 2)
+	if (strlen(rawcookie) < 2) {
 		return NULL;
+	}
 
 	tmpcookie = strdup(rawcookie + 2);
 	cookieend = strchr(tmpcookie, ';');
 
-	if (cookieend)
+	if (cookieend) {
 		*cookieend = '\0';
+	}
 
 	cookie = strdup(tmpcookie);
@@ -872,6 +910,7 @@
 		tmp = strdup(tmpend + 2);
 		tmpend = strchr(tmp, '&');
-		if (tmpend)
+		if (tmpend) {
 			*tmpend = '\0';
+		}
 		login_cookie = strdup(tmp);
 		FREE(tmp);
@@ -882,5 +921,5 @@
 
 static void yahoo_process_notify(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                 struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -892,17 +931,23 @@
 	char *ind = NULL;
 	YList *l;
+
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 4)
+		if (pair->key == 4) {
 			from = pair->value;
-		if (pair->key == 5)
+		}
+		if (pair->key == 5) {
 			to = pair->value;
-		if (pair->key == 49)
+		}
+		if (pair->key == 49) {
 			msg = pair->value;
-		if (pair->key == 13)
+		}
+		if (pair->key == 13) {
 			stat = atoi(pair->value);
-		if (pair->key == 14)
+		}
+		if (pair->key == 14) {
 			ind = pair->value;
-		if (pair->key == 16) {	/* status == -1 */
+		}
+		if (pair->key == 16) {  /* status == -1 */
 			NOTICE((pair->value));
 			return;
@@ -911,31 +956,34 @@
 	}
 
-	if (!msg)
-		return;
-
-	if (!strncasecmp(msg, "TYPING", strlen("TYPING")))
-		YAHOO_CALLBACK(ext_yahoo_typing_notify) (yd->client_id, to,
-			from, stat);
-	else if (!strncasecmp(msg, "GAME", strlen("GAME")))
-		YAHOO_CALLBACK(ext_yahoo_game_notify) (yd->client_id, to, from,
-			stat, ind);
-	else if (!strncasecmp(msg, "WEBCAMINVITE", strlen("WEBCAMINVITE"))) {
+	if (!msg) {
+		return;
+	}
+
+	if (!strncasecmp(msg, "TYPING", strlen("TYPING"))) {
+		YAHOO_CALLBACK (ext_yahoo_typing_notify) (yd->client_id, to,
+		                                          from, stat);
+	} else if (!strncasecmp(msg, "GAME", strlen("GAME"))) {
+		YAHOO_CALLBACK (ext_yahoo_game_notify) (yd->client_id, to, from,
+		                                        stat, ind);
+	} else if (!strncasecmp(msg, "WEBCAMINVITE", strlen("WEBCAMINVITE"))) {
 		if (!strcmp(ind, " ")) {
-			YAHOO_CALLBACK(ext_yahoo_webcam_invite) (yd->client_id,
-				to, from);
+			YAHOO_CALLBACK (ext_yahoo_webcam_invite) (yd->client_id,
+			                                          to, from);
 		} else {
 			accept = atoi(ind);
 			/* accept the invitation (-1 = deny 1 = accept) */
-			if (accept < 0)
+			if (accept < 0) {
 				accept = 0;
-			YAHOO_CALLBACK(ext_yahoo_webcam_invite_reply) (yd->
-				client_id, to, from, accept);
-		}
-	} else
+			}
+			YAHOO_CALLBACK (ext_yahoo_webcam_invite_reply) (yd->
+			                                                client_id, to, from, accept);
+		}
+	} else {
 		LOG(("Got unknown notification: %s", msg));
+	}
 }
 
 static void yahoo_process_conference(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                     struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -951,52 +999,68 @@
 	for (l = pkt->hash; l; l = l->next) {
 		struct yahoo_pair *pair = l->data;
-		if (pair->key == 50)
+		if (pair->key == 50) {
 			host = pair->value;
-
-		if (pair->key == 52) {	/* invite */
+		}
+
+		if (pair->key == 52) {  /* invite */
 			members = y_list_append(members, strdup(pair->value));
 		}
-		if (pair->key == 53)	/* logon */
+		if (pair->key == 53) {  /* logon */
 			who = pair->value;
-		if (pair->key == 54)	/* decline */
+		}
+		if (pair->key == 54) {  /* decline */
 			who = pair->value;
-		if (pair->key == 55)	/* unavailable (status == 2) */
+		}
+		if (pair->key == 55) {  /* unavailable (status == 2) */
 			who = pair->value;
-		if (pair->key == 56)	/* logoff */
+		}
+		if (pair->key == 56) {  /* logoff */
 			who = pair->value;
-
-		if (pair->key == 57)
+		}
+
+		if (pair->key == 57) {
 			room = pair->value;
-
-		if (pair->key == 58)	/* join message */
+		}
+
+		if (pair->key == 58) {  /* join message */
 			msg = pair->value;
-		if (pair->key == 14)	/* decline/conf message */
+		}
+		if (pair->key == 14) {  /* decline/conf message */
 			msg = pair->value;
-
-		if (pair->key == 13) 
+		}
+
+		if (pair->key == 13) {
 			;
-		if (pair->key == 16)	/* error */
+		}
+		if (pair->key == 16) {  /* error */
 			msg = pair->value;
-
-		if (pair->key == 1)	/* my id */
+		}
+
+		if (pair->key == 1) {   /* my id */
 			id = pair->value;
-		if (pair->key == 3)	/* message sender */
+		}
+		if (pair->key == 3) {   /* message sender */
 			who = pair->value;
-
-		if (pair->key == 97)
+		}
+
+		if (pair->key == 97) {
 			utf8 = atoi(pair->value);
-	}
-
-	if (!room)
-		return;
+		}
+	}
+
+	if (!room) {
+		return;
+	}
 
 	if (host) {
 		for (l = members; l; l = l->next) {
 			char *w = l->data;
-			if (!strcmp(w, host))
+			if (!strcmp(w, host)) {
 				break;
-		}
-		if (!l)
+			}
+		}
+		if (!l) {
 			members = y_list_append(members, strdup(host));
+		}
 	}
 	/* invite, decline, join, left, message -> status == 1 */
@@ -1004,36 +1068,43 @@
 	switch (pkt->service) {
 	case YAHOO_SERVICE_CONFINVITE:
-		if (pkt->status == 2) ;
-		else if (members)
-			YAHOO_CALLBACK(ext_yahoo_got_conf_invite) (yd->
-				client_id, id, host, room, msg, members);
-		else if (msg)
-			YAHOO_CALLBACK(ext_yahoo_error) (yd->client_id, msg, 0,
-				E_CONFNOTAVAIL);
+		if (pkt->status == 2) {
+			;
+		} else if (members) {
+			YAHOO_CALLBACK (ext_yahoo_got_conf_invite) (yd->
+			                                            client_id, id, host, room, msg, members);
+		} else if (msg) {
+			YAHOO_CALLBACK (ext_yahoo_error) (yd->client_id, msg, 0,
+			                                  E_CONFNOTAVAIL);
+		}
 		break;
 	case YAHOO_SERVICE_CONFADDINVITE:
-		if (pkt->status == 1)
-			YAHOO_CALLBACK(ext_yahoo_got_conf_invite) (yd->
-				client_id, id, host, room, msg, members);
+		if (pkt->status == 1) {
+			YAHOO_CALLBACK (ext_yahoo_got_conf_invite) (yd->
+			                                            client_id, id, host, room, msg, members);
+		}
 		break;
 	case YAHOO_SERVICE_CONFDECLINE:
-		if (who)
-			YAHOO_CALLBACK(ext_yahoo_conf_userdecline) (yd->
-				client_id, id, who, room, msg);
+		if (who) {
+			YAHOO_CALLBACK (ext_yahoo_conf_userdecline) (yd->
+			                                             client_id, id, who, room, msg);
+		}
 		break;
 	case YAHOO_SERVICE_CONFLOGON:
-		if (who)
-			YAHOO_CALLBACK(ext_yahoo_conf_userjoin) (yd->client_id,
-				id, who, room);
+		if (who) {
+			YAHOO_CALLBACK (ext_yahoo_conf_userjoin) (yd->client_id,
+			                                          id, who, room);
+		}
 		break;
 	case YAHOO_SERVICE_CONFLOGOFF:
-		if (who)
-			YAHOO_CALLBACK(ext_yahoo_conf_userleave) (yd->client_id,
-				id, who, room);
+		if (who) {
+			YAHOO_CALLBACK (ext_yahoo_conf_userleave) (yd->client_id,
+			                                           id, who, room);
+		}
 		break;
 	case YAHOO_SERVICE_CONFMSG:
-		if (who)
-			YAHOO_CALLBACK(ext_yahoo_conf_message) (yd->client_id,
-				id, who, room, msg, utf8);
+		if (who) {
+			YAHOO_CALLBACK (ext_yahoo_conf_message) (yd->client_id,
+			                                         id, who, room, msg, utf8);
+		}
 		break;
 	}
@@ -1041,5 +1112,5 @@
 
 static void yahoo_process_chat(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                               struct yahoo_packet *pkt)
 {
 	char *msg = NULL;
@@ -1087,5 +1158,5 @@
 			if (pkt->service == YAHOO_SERVICE_CHATJOIN) {
 				currentmember =
-					y_new0(struct yahoo_chat_member, 1);
+				        y_new0(struct yahoo_chat_member, 1);
 				currentmember->id = strdup(pair->value);
 				members = y_list_append(members, currentmember);
@@ -1095,24 +1166,28 @@
 		if (pair->key == 110) {
 			/* age */
-			if (pkt->service == YAHOO_SERVICE_CHATJOIN)
+			if (pkt->service == YAHOO_SERVICE_CHATJOIN) {
 				currentmember->age = atoi(pair->value);
+			}
 		}
 
 		if (pair->key == 113) {
 			/* attribs */
-			if (pkt->service == YAHOO_SERVICE_CHATJOIN)
+			if (pkt->service == YAHOO_SERVICE_CHATJOIN) {
 				currentmember->attribs = atoi(pair->value);
+			}
 		}
 
 		if (pair->key == 141) {
 			/* alias */
-			if (pkt->service == YAHOO_SERVICE_CHATJOIN)
+			if (pkt->service == YAHOO_SERVICE_CHATJOIN) {
 				currentmember->alias = strdup(pair->value);
+			}
 		}
 
 		if (pair->key == 142) {
 			/* location */
-			if (pkt->service == YAHOO_SERVICE_CHATJOIN)
+			if (pkt->service == YAHOO_SERVICE_CHATJOIN) {
 				currentmember->location = strdup(pair->value);
+			}
 		}
 
@@ -1139,12 +1214,12 @@
 
 	if (!room) {
-		if (pkt->service == YAHOO_SERVICE_CHATLOGOUT) {	/* yahoo originated chat logout */
-			YAHOO_CALLBACK(ext_yahoo_chat_yahoologout) (yid->yd->
-				client_id, id);
+		if (pkt->service == YAHOO_SERVICE_CHATLOGOUT) { /* yahoo originated chat logout */
+			YAHOO_CALLBACK (ext_yahoo_chat_yahoologout) (yid->yd->
+			                                             client_id, id);
 			return;
 		}
 		if (pkt->service == YAHOO_SERVICE_COMMENT && chaterr) {
-			YAHOO_CALLBACK(ext_yahoo_chat_yahooerror) (yid->yd->
-				client_id, id);
+			YAHOO_CALLBACK (ext_yahoo_chat_yahooerror) (yid->yd->
+			                                            client_id, id);
 			return;
 		}
@@ -1160,6 +1235,6 @@
 		}
 		if (firstjoin && members) {
-			YAHOO_CALLBACK(ext_yahoo_chat_join) (yid->yd->client_id,
-				id, room, topic, members, yid->fd);
+			YAHOO_CALLBACK (ext_yahoo_chat_join) (yid->yd->client_id,
+			                                      id, room, topic, members, yid->fd);
 		} else if (who) {
 			if (y_list_length(members) != 1) {
@@ -1170,6 +1245,6 @@
 				YList *n = members->next;
 				currentmember = members->data;
-				YAHOO_CALLBACK(ext_yahoo_chat_userjoin) (yid->
-					yd->client_id, id, room, currentmember);
+				YAHOO_CALLBACK (ext_yahoo_chat_userjoin) (yid->
+				                                          yd->client_id, id, room, currentmember);
 				y_list_free_1(members);
 				members = n;
@@ -1179,12 +1254,12 @@
 	case YAHOO_SERVICE_CHATEXIT:
 		if (who) {
-			YAHOO_CALLBACK(ext_yahoo_chat_userleave) (yid->yd->
-				client_id, id, room, who);
+			YAHOO_CALLBACK (ext_yahoo_chat_userleave) (yid->yd->
+			                                           client_id, id, room, who);
 		}
 		break;
 	case YAHOO_SERVICE_COMMENT:
 		if (who) {
-			YAHOO_CALLBACK(ext_yahoo_chat_message) (yid->yd->
-				client_id, id, who, room, msg, msgtype, utf8);
+			YAHOO_CALLBACK (ext_yahoo_chat_message) (yid->yd->
+			                                         client_id, id, who, room, msg, msgtype, utf8);
 		}
 		break;
@@ -1193,5 +1268,5 @@
 
 static void yahoo_process_message(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                  struct yahoo_packet *pkt)
 {
 	struct yahoo_data *yd = yid->yd;
@@ -1213,19 +1288,22 @@
 		struct yahoo_pair *pair = l->data;
 		if (pair->key == 1 || pair->key == 4) {
-			if (!message->from)
+			if (!message->from) {
 				message->from = pair->value;
-		} else if (pair->key == 5)
+			}
+		} else if (pair->key == 5) {
 			message->to = pair->value;
-		else if (pair->key == 15)
+		} else if (pair->key == 15) {
 			message->tm = strtol(pair->value, NULL, 10);
-		else if (pair->key == 97)
+		} else if (pair->key == 97) {
 			message->utf8 = atoi(pair->value);
+		}
 		/* This comes when the official client sends us a message */
-		else if (pair->key == 429)
+		else if (pair->key == 429) {
 			message->gunk = pair->value;
+		}
 		/* user message *//* sys message */
-		else if (pair->key == 14 || pair->key == 16)
+		else if (pair->key == 14 || pair->key == 16) {
 			message->msg = pair->value;
-		else if (pair->key == 31) {
+		} else if (pair->key == 31) {
 			if (message->i_31) {
 				messages = y_list_append(messages, message);
@@ -1233,8 +1311,10 @@
 			}
 			message->i_31 = atoi(pair->value);
-		} else if (pair->key == 32)
+		} else if (pair->key == 32) {
 			message->i_32 = atoi(pair->value);
-		else
-			LOG(("yahoo_process_message: status: %d, key: %d, value: %s", pkt->status, pair->key, pair->value));
+		} else {
+			LOG(("yahoo_process_message: status: %d, key: %d, value: %s", pkt->status, pair->key,
+			     pair->value));
+		}
 	}
 
@@ -1244,13 +1324,13 @@
 		message = l->data;
 		if (pkt->service == YAHOO_SERVICE_SYSMESSAGE) {
-			YAHOO_CALLBACK(ext_yahoo_system_message) (yd->client_id,
-				message->to, message->from, message->msg);
+			YAHOO_CALLBACK (ext_yahoo_system_message) (yd->client_id,
+			                                           message->to, message->from, message->msg);
 		} else if (pkt->status <= 2 || pkt->status == 5) {
 			/* Confirm message receipt if we got the gunk */
-			if(message->gunk) {
+			if (message->gunk) {
 				struct yahoo_packet *outpkt;
-                        
+
 				outpkt = yahoo_packet_new(YAHOO_SERVICE_MESSAGE_CONFIRM,
-					YPACKET_STATUS_DEFAULT, 0);
+				                          YPACKET_STATUS_DEFAULT, 0);
 				yahoo_packet_hash(outpkt, 1, yd->user);
 				yahoo_packet_hash(outpkt, 5, message->from);
@@ -1260,18 +1340,19 @@
 				yahoo_packet_hash(outpkt, 450, "0");
 				yahoo_send_packet(yid, outpkt, 0);
-                        
+
 				yahoo_packet_free(outpkt);
 			}
 
-			if (!strcmp(message->msg, "<ding>"))
-				YAHOO_CALLBACK(ext_yahoo_got_buzz) (yd->client_id,
-					message->to, message->from, message->tm);
-			else
-				YAHOO_CALLBACK(ext_yahoo_got_im) (yd->client_id,
-					message->to, message->from, message->msg,
-					message->tm, pkt->status, message->utf8);
+			if (!strcmp(message->msg, "<ding>")) {
+				YAHOO_CALLBACK (ext_yahoo_got_buzz) (yd->client_id,
+				                                     message->to, message->from, message->tm);
+			} else {
+				YAHOO_CALLBACK (ext_yahoo_got_im) (yd->client_id,
+				                                   message->to, message->from, message->msg,
+				                                   message->tm, pkt->status, message->utf8);
+			}
 		} else if (pkt->status == 0xffffffff) {
-			YAHOO_CALLBACK(ext_yahoo_error) (yd->client_id,
-				message->msg, 0, E_SYSTEM);
+			YAHOO_CALLBACK (ext_yahoo_error) (yd->client_id,
+			                                  message->msg, 0, E_SYSTEM);
 		}
 		FREE(message);
@@ -1286,11 +1367,11 @@
  * 3 level:
  * =======
- * 
+ *
  * 302 (318) - Beginning level 1
- * 	300 (318) - Begin level 2
- * 	302 (319) - End level 2 header
- * 		300 (319) - Begin level 3
- * 		301 (319) - End level 3
- * 	303 (319) - End level 2
+ *      300 (318) - Begin level 2
+ *      302 (319) - End level 2 header
+ *              300 (319) - Begin level 3
+ *              301 (319) - End level 3
+ *      303 (319) - End level 2
  * 303 (318) - End level 1
  *
@@ -1299,11 +1380,11 @@
  *
  * 302 (315) - Beginning level 1
- * 	300 (315) - Begin level 2
- * 	301 (315) - End level 2
+ *      300 (315) - Begin level 2
+ *      301 (315) - End level 2
  * 303 (315) - End level 1
  *
  */
 static void yahoo_process_status(struct yahoo_input_data *yid,
-	struct yahoo_packet *pkt)
+                                 struct yahoo_packet *pkt)
 {
 	YList *l;
@@ -1315,13 +1396,13 @@
 
 	if (pkt->service == YAHOO_SERVICE_LOGOFF && pkt->status == -1) {
-		YAHOO_CALLBACK(ext_yahoo_login_response) (yd->client_id,
-			YAHOO_LOGIN_DUPL, NULL);
-		return;
-	}
-
-	/* 
-	 * Status updates may be spread accross multiple packets and not 
-	 * even on buddy boundaries, so keeping some state is important. 
-	 * So, continue where we left off, and only add a user entry to 
+		YAHOO_CALLBACK (ext_yahoo_login_response) (yd->client_id,
+		                                           YAHOO_LOGIN_DUPL, NULL);
+		return;
+	}
+
+	/*
+	 * Status updates may be spread accross multiple packets and not
+	 * even on buddy boundaries, so keeping some state is important.
+	 * So, continue where we left off, and only add a user entry to
 	 * the list once it's complete (301-315 End buddy).
 	 */
